using System.ComponentModel.DataAnnotations;

namespace JtkMainServer.Models {
    public partial class RegisterPartner {
        //[StringLength(60, MinimumLength = 3, ErrorMessage = "아이디를 입력하세요.")]
        [Display(Name = "로그인 아이디")]
        [Required(ErrorMessage = "로그인 아이디를 입력하세요.")]
        public string Id { get; set; }
        
        [Display(Name = "로그인 비밀번호")]
        [Required(ErrorMessage = "로그인 비밀번호를 입력하세요.")]
        [MinLength(4, ErrorMessage = "네 자리 이상 입력하세요.")]
        public string Password { get; set; }

        [Display(Name = "로그인 비밀번호 확인")]
        [Required(ErrorMessage = "비밀번호를 한번더 입력하세요.")]
        [Compare("Password", ErrorMessage = "비밀번호가 일치하지 않습니다.")]
        public string PasswordConfirm { get; set; }

        [Display(Name = "PC방 이름")]
        [Required(ErrorMessage = "가맹점 이름을 입력하세요.")]
        public string Name { get; set; }

        [Display(Name = "소개")]
        [Required(ErrorMessage = "가맹점 소개를 입력하세요.")]
        public string Introduction { get; set; }

        [Display(Name = "위치")]
        [Required(ErrorMessage = "가맹점 위치를 지정하세요.")]
        public string Location { get; set; }

        [Display(Name = "주소")]
        [Required(ErrorMessage = "가맹점 주소를 입력하세요.")]
        public string Address { get; set; }
    }
}
